Bug 267011

Summary: crash while openning file
Product: kdevelop Reporter: Lucas SARIE <lucas.sarie>
Component: generalAssignee: kdevelop-bugs-null
Status: RESOLVED NOT A BUG    
Severity: crash CC: david.nolden.kde
Priority: NOR    
Version: 4.2.60   
Target Milestone: 4.2.0   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: GDB backtrace of this crash

Description Lucas SARIE 2011-02-23 21:46:55 UTC
Application: kdevelop (4.2.60)
KDE Platform Version: 4.5.1 (KDE 4.5.1) (Compiled from sources)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-25-generic i686
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:

I was openning a file in a project. Every time I try to open any file in a project kdevelop crash.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb778f710 (LWP 20703))]

Thread 8 (Thread 0xb7510b70 (LWP 20704)):
#0  0x005af416 in __kernel_vsyscall ()
#1  0x07343df6 in __poll (fds=0x73daff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x0177fa1b in g_poll () from /lib/libglib-2.0.so.0
#3  0x0177243c in ?? () from /lib/libglib-2.0.so.0
#4  0x01772ba7 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5  0x033036b4 in ?? () from /usr/lib/libgio-2.0.so.0
#6  0x0179948f in ?? () from /lib/libglib-2.0.so.0
#7  0x0025dcc9 in start_thread (arg=0xb7510b70) at pthread_create.c:304
#8  0x0735269e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xb3728b70 (LWP 20705)):
#0  0x005af416 in __kernel_vsyscall ()
#1  0x00262884 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:236
#2  0x07bab94f in wait (this=0x97a96a4, mutex=0x97a96a8, time=1000) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x97a96a4, mutex=0x97a96a8, time=1000) at thread/qwaitcondition_unix.cpp:160
#4  0x03d7af62 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x97a9698) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/language/duchain/duchain.cpp:286
#5  0x07baadf9 in QThreadPrivate::start (arg=0x97a9698) at thread/qthread_unix.cpp:266
#6  0x0025dcc9 in start_thread (arg=0xb3728b70) at pthread_create.c:304
#7  0x0735269e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xb1f53b70 (LWP 20740)):
#0  0x005af416 in __kernel_vsyscall ()
#1  0x002624dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x068663a5 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0x06866481 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0x0025dcc9 in start_thread (arg=0xb1f53b70) at pthread_create.c:304
#5  0x0735269e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xb019eb70 (LWP 20842)):
#0  0x00275e36 in clock_gettime (clock_id=2596852, tp=0xb019dfc0) at ../sysdeps/unix/clock_gettime.c:100
#1  0x07c0650b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x07cdd6e5 in QTimerInfoList::updateCurrentTime (this=0x9e89e34) at kernel/qeventdispatcher_unix.cpp:339
#4  0x07cdd72a in QTimerInfoList::timerWait (this=0x9e89e34, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x07cdb7a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb019e0ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0x07cdb83d in timerSourcePrepare (source=0x0, timeout=0x279ff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x01771e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x01772279 in ?? () from /lib/libglib-2.0.so.0
#9  0x01772848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x07cdb59f in QEventDispatcherGlib::processEvents (this=0x9e89058, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x07cab609 in QEventLoop::processEvents (this=0xb019e2c0, flags=) at kernel/qeventloop.cpp:149
#12 0x07caba8a in QEventLoop::exec (this=0xb019e2c0, flags=...) at kernel/qeventloop.cpp:201
#13 0x07ba7b7e in QThread::exec (this=0x9e5cec8) at thread/qthread.cpp:490
#14 0x03e77438 in KDevelop::CompletionWorkerThread::run (this=0x9e5cec8) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#15 0x07baadf9 in QThreadPrivate::start (arg=0x9e5cec8) at thread/qthread_unix.cpp:266
#16 0x0025dcc9 in start_thread (arg=0xb019eb70) at pthread_create.c:304
#17 0x0735269e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xaf99db70 (LWP 20843)):
#0  0x00275e36 in clock_gettime (clock_id=2596852, tp=0xaf99cfc0) at ../sysdeps/unix/clock_gettime.c:100
#1  0x07c0650b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x07cdd6e5 in QTimerInfoList::updateCurrentTime (this=0x9e82034) at kernel/qeventdispatcher_unix.cpp:339
#4  0x07cdd72a in QTimerInfoList::timerWait (this=0x9e82034, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x07cdb7a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xaf99d0ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0x07cdb83d in timerSourcePrepare (source=0x0, timeout=0x279ff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x01771e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x01772279 in ?? () from /lib/libglib-2.0.so.0
#9  0x01772848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x07cdb59f in QEventDispatcherGlib::processEvents (this=0x9e81858, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x07cab609 in QEventLoop::processEvents (this=0xaf99d2c0, flags=) at kernel/qeventloop.cpp:149
#12 0x07caba8a in QEventLoop::exec (this=0xaf99d2c0, flags=...) at kernel/qeventloop.cpp:201
#13 0x07ba7b7e in QThread::exec (this=0x9e89108) at thread/qthread.cpp:490
#14 0x03e77438 in KDevelop::CompletionWorkerThread::run (this=0x9e89108) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#15 0x07baadf9 in QThreadPrivate::start (arg=0x9e89108) at thread/qthread_unix.cpp:266
#16 0x0025dcc9 in start_thread (arg=0xaf99db70) at pthread_create.c:304
#17 0x0735269e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xae99cb70 (LWP 20848)):
#0  0x005af416 in __kernel_vsyscall ()
#1  0x002624dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x07bab9c7 in wait (this=0x9718cf8, mutex=0x9718f48, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x9718cf8, mutex=0x9718f48, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0x00230030 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9718ce0, th=0x9b1f090) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x002337dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9719008, th=0x9b1f090) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x0022f55b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9718ce0, th=0x9b1f090) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x002338d2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9719008, th=0x9b1f090) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00230533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9718ce0, th=0x9b1f090, previous=0x9eb4e08) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x0023195e in ThreadWeaver::ThreadRunHelper::run (this=0xae99c2f4, parent=0x9718ce0, th=0x9b1f090) at ../../../threadweaver/Weaver/Thread.cpp:87
#10 0x0023207b in ThreadWeaver::Thread::run (this=0x9b1f090) at ../../../threadweaver/Weaver/Thread.cpp:142
#11 0x07baadf9 in QThreadPrivate::start (arg=0x9b1f090) at thread/qthread_unix.cpp:266
#12 0x0025dcc9 in start_thread (arg=0xae99cb70) at pthread_create.c:304
#13 0x0735269e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xae19bb70 (LWP 20849)):
#0  0x005af416 in __kernel_vsyscall ()
#1  0x002624dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x07bab9c7 in wait (this=0x9718cf8, mutex=0x9718f48, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x9718cf8, mutex=0x9718f48, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0x00230030 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9718ce0, th=0x9e6d260) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x002337dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9719008, th=0x9e6d260) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x0022f55b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9718ce0, th=0x9e6d260) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x002338d2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9719008, th=0x9e6d260) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x00230533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9718ce0, th=0x9e6d260, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x0023195e in ThreadWeaver::ThreadRunHelper::run (this=0xae19b2f4, parent=0x9718ce0, th=0x9e6d260) at ../../../threadweaver/Weaver/Thread.cpp:87
#10 0x0023207b in ThreadWeaver::Thread::run (this=0x9e6d260) at ../../../threadweaver/Weaver/Thread.cpp:142
#11 0x07baadf9 in QThreadPrivate::start (arg=0x9e6d260) at thread/qthread_unix.cpp:266
#12 0x0025dcc9 in start_thread (arg=0xae19bb70) at pthread_create.c:304
#13 0x0735269e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb778f710 (LWP 20703)):
[KCrash Handler]
#7  QString (this=0x9fffe88, name=) at /usr/include/qt4/QtCore/qstring.h:727
#8  KDevelop::PartDocument::setPrettyName (this=0x9fffe88, name=) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/shell/partdocument.cpp:206
#9  0x079b8998 in Cpp::StaticCodeAssistant::documentLoaded (this=0x9eb5b38, document=0x9fffe98) at /home/lucas/Bureau/Work/kdevgit/kdevelop/languages/cpp/codegen/codeassistant.cpp:53
#10 0x079ba4ef in Cpp::StaticCodeAssistant::qt_metacall (this=0x9eb5b38, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfebf008) at /home/lucas/Bureau/Work/kdevgit/kdevelop/build/languages/cpp/codeassistant.moc:91
#11 0x07cb28ca in QMetaObject::metacall (object=0x9eb5b38, cl=3219910664, idx=5, argv=0xbfebf008) at kernel/qmetaobject.cpp:237
#12 0x07cc56ad in QMetaObject::activate (sender=0x9703a68, m=0x29f574, local_signal_index=4, argv=0x224c7c) at kernel/qobject.cpp:3280
#13 0x002942a3 in KDevelop::IDocumentController::documentLoaded (this=0x9703a68, _t1=0x9fffe98) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/build/interfaces/idocumentcontroller.moc:253
#14 0x0029165e in KDevelop::IDocument::notifyLoaded (this=0x9fffe98) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/interfaces/idocument.cpp:131
#15 0x001b8aae in slotDocumentLoaded (this=0x9fffe88, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfebf188) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/shell/textdocument.cpp:189
#16 KDevelop::TextDocument::qt_metacall (this=0x9fffe88, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfebf188) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/build/shell/textdocument.moc:94
#17 0x07cb28ca in QMetaObject::metacall (object=0x9fffe88, cl=3219910664, idx=15, argv=0xbfebf188) at kernel/qmetaobject.cpp:237
#18 0x07cc56ad in QMetaObject::activate (sender=0xa17e7c0, m=0x957d44, local_signal_index=5, argv=0x224c7c) at kernel/qobject.cpp:3280
#19 0x0093eec3 in KTextEditor::Document::textChanged (this=0xa17e7c0, _t1=0xa17e7c0) at ./document.moc:177
#20 0x02882cbc in KateDocument::openFile (this=0xa17e7c0) at ../../kate/document/katedocument.cpp:2037
#21 0x00a08549 in KParts::ReadOnlyPart::openUrl (this=0xa17e7c0, url=...) at ../../kparts/part.cpp:557
#22 0x001b76b0 in KDevelop::TextDocument::createViewWidget (this=0x9fffe88, parent=0x99ee098) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/shell/textdocument.cpp:276
#23 0x001b6a8e in KDevelop::TextView::createWidget (this=0xa479b28, parent=0x99ee098) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/shell/textdocument.cpp:551
#24 0x005481b7 in Sublime::View::widget (this=0xa479b28, parent=0x99ee098) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/sublime/view.cpp:82
#25 0x00541c72 in Sublime::MainWindowPrivate::ViewCreator::operator() (this=0xbfebf86c, index=0x9609080) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/sublime/mainwindow_p.cpp:252
#26 0x005473b9 in Sublime::Area::walkViewsInternal<Sublime::MainWindowPrivate::ViewCreator> (this=0x960ae18, op=..., index=0x9609080) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/sublime/areawalkers.h:32
#27 0x00544f19 in walkViews<Sublime::MainWindowPrivate::ViewCreator> (this=0x95f8bd8, index=0x9609080, view=0xa479b28) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/sublime/areawalkers.h:48
#28 Sublime::MainWindowPrivate::viewAdded (this=0x95f8bd8, index=0x9609080, view=0xa479b28) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/sublime/mainwindow_p.cpp:408
#29 0x0053a88b in Sublime::MainWindow::qt_metacall (this=0x95f6d38, _c=QMetaObject::InvokeMetaMethod, _id=62, _a=0xbfebf9e4) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/build/sublime/mainwindow.moc:123
#30 0x0018a06a in KDevelop::MainWindow::qt_metacall (this=0x95f6d38, _c=QMetaObject::InvokeMetaMethod, _id=62, _a=0xbfebf9e4) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/build/shell/mainwindow.moc:97
#31 0x07cb28ca in QMetaObject::metacall (object=0x95f6d38, cl=3219910664, idx=62, argv=0xbfebf9e4) at kernel/qmetaobject.cpp:237
#32 0x07cc56ad in QMetaObject::activate (sender=0x960ae18, m=0x55f3a0, local_signal_index=0, argv=0x224c7c) at kernel/qobject.cpp:3280
#33 0x0052a9a9 in Sublime::Area::viewAdded (this=0x960ae18, _t1=0x9609080, _t2=0xa479b28) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/build/sublime/area.moc:115
#34 0x0052b782 in Sublime::Area::addView (this=0x960ae18, view=0xa479b28, index=0x9609080) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/sublime/area.cpp:174
#35 0x0052b87e in Sublime::Area::addView (this=0x960ae18, view=0xa479b28, after=0x0) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/sublime/area.cpp:186
#36 0x001bf97a in KDevelop::DocumentControllerPrivate::openDocumentInternal (this=0x9712148, doc=0x9fffe98, range=..., activationParams=...) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/shell/documentcontroller.cpp:364
#37 0x001c01b4 in KDevelop::DocumentControllerPrivate::openDocumentInternal (this=0x9712148, inputUrl=..., prefName=..., range=..., encoding=..., activationParams=...) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/shell/documentcontroller.cpp:292
#38 0x001bd014 in KDevelop::DocumentController::openDocument (this=0x9703a68, inputUrl=..., range=..., activationParams=..., encoding=...) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/shell/documentcontroller.cpp:573
#39 0x020d5444 in OpenWithPlugin::openDefault (this=0x9794550) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/plugins/openwith/openwithplugin.cpp:156
#40 0x020d56cd in OpenWithPlugin::openFilesInternal (this=0x9794550, files=...) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/plugins/openwith/openwithplugin.cpp:206
#41 0x02214995 in openFiles (this=0x98b0ed8, url=...) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/plugins/projectmanagerview/../openwith/iopenwith.h:50
#42 ProjectManagerView::openUrl (this=0x98b0ed8, url=...) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/plugins/projectmanagerview/projectmanagerview.cpp:224
#43 0x02214c5d in ProjectManagerView::qt_metacall (this=0x98b0ed8, _c=QMetaObject::InvokeMetaMethod, _id=30, _a=0xbfec00a8) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/build/plugins/projectmanagerview/projectmanagerview.moc:148
#44 0x07cb28ca in QMetaObject::metacall (object=0x98b0ed8, cl=3219910664, idx=30, argv=0xbfec00a8) at kernel/qmetaobject.cpp:237
#45 0x07cc56ad in QMetaObject::activate (sender=0x98b1cf8, m=0x2220b98, local_signal_index=0, argv=0x224c7c) at kernel/qobject.cpp:3280
#46 0x02217373 in ProjectTreeView::activateUrl (this=0x98b1cf8, _t1=...) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/build/plugins/projectmanagerview/projecttreeview.moc:94
#47 0x02217527 in ProjectTreeView::slotActivated (this=0x98b1cf8, index=...) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/plugins/projectmanagerview/projecttreeview.cpp:148
#48 0x022190cd in ProjectTreeView::qt_metacall (this=0x98b1cf8, _c=QMetaObject::InvokeMetaMethod, _id=89, _a=0xbfec0228) at /home/lucas/Bureau/Work/kdevgit/kdevplatform/build/plugins/projectmanagerview/projecttreeview.moc:80
#49 0x07cb28ca in QMetaObject::metacall (object=0x98b1cf8, cl=3219910664, idx=89, argv=0xbfec0228) at kernel/qmetaobject.cpp:237
#50 0x07cc56ad in QMetaObject::activate (sender=0x98b1cf8, m=0x9271d64, local_signal_index=2, argv=0x224c7c) at kernel/qobject.cpp:3280
#51 0x08eaf0e3 in QAbstractItemView::doubleClicked (this=0x98b1cf8, _t1=...) at .moc/release-shared/moc_qabstractitemview.cpp:338
#52 0x08f06c0f in QTreeView::mouseDoubleClickEvent (this=0x98b1cf8, event=0xbfec0bb0) at itemviews/qtreeview.cpp:1861
#53 0x08944c8e in QWidget::event (this=0x98b1cf8, event=0xbfec0bb0) at kernel/qwidget.cpp:8191
#54 0x08d66763 in QFrame::event (this=0x98b1cf8, e=0xbfec0bb0) at widgets/qframe.cpp:557
#55 0x08e03a82 in QAbstractScrollArea::viewportEvent (this=0xbfebf008, e=0x9eb5b38) at widgets/qabstractscrollarea.cpp:1043
#56 0x08ec00f7 in QAbstractItemView::viewportEvent (this=0x98b1cf8, event=0xbfec0bb0) at itemviews/qabstractitemview.cpp:1619
#57 0x08f02883 in QTreeView::viewportEvent (this=0x98b1cf8, event=0xbfec0bb0) at itemviews/qtreeview.cpp:1256
#58 0x08e064d5 in viewportEvent (this=0x98b2900, o=0x98b1650, e=0xbfec0bb0) at widgets/qabstractscrollarea_p.h:100
#59 QAbstractScrollAreaFilter::eventFilter (this=0x98b2900, o=0x98b1650, e=0xbfec0bb0) at widgets/qabstractscrollarea_p.h:116
#60 0x07cac29a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9450868, receiver=0x98b1650, event=0xbfec0bb0) at kernel/qcoreapplication.cpp:847
#61 0x088e6fb9 in QApplicationPrivate::notify_helper (this=0x9450868, receiver=0x98b1650, e=0xbfec0bb0) at kernel/qapplication.cpp:4392
#62 0x088edc2e in QApplication::notify (this=0xbfec15e0, receiver=0x98b1650, e=0xbfec0bb0) at kernel/qapplication.cpp:3959
#63 0x02fd668a in KApplication::notify (this=0xbfec15e0, receiver=0x98b1650, event=0xbfec0bb0) at ../../kdeui/kernel/kapplication.cpp:310
#64 0x07cacb3b in QCoreApplication::notifyInternal (this=0xbfec15e0, receiver=0x98b1650, event=0xbfec0bb0) at kernel/qcoreapplication.cpp:732
#65 0x088ec094 in sendEvent (receiver=0x98b1650, event=0xbfec0bb0, alienWidget=0x98b1650, nativeWidget=0x95f6d38, buttonDown=0x92813c0, lastMouseReceiver=..., spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#66 QApplicationPrivate::sendMouseEvent (receiver=0x98b1650, event=0xbfec0bb0, alienWidget=0x98b1650, nativeWidget=0x95f6d38, buttonDown=0x92813c0, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3058
#67 0x0897ad10 in QETWidget::translateMouseEvent (this=0x95f6d38, event=0xbfec10cc) at kernel/qapplication_x11.cpp:4403
#68 0x0897a151 in QApplication::x11ProcessEvent (this=0xbfec15e0, event=0xbfec10cc) at kernel/qapplication_x11.cpp:3414
#69 0x089a936a in x11EventSourceDispatch (s=0x9453a00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#70 0x0176e855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#71 0x01772668 in ?? () from /lib/libglib-2.0.so.0
#72 0x01772848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#73 0x07cdb565 in QEventDispatcherGlib::processEvents (this=0x94349e0, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#74 0x089a8be5 in QGuiEventDispatcherGlib::processEvents (this=0x94349e0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#75 0x07cab609 in QEventLoop::processEvents (this=0xbfec13c4, flags=) at kernel/qeventloop.cpp:149
#76 0x07caba8a in QEventLoop::exec (this=0xbfec13c4, flags=...) at kernel/qeventloop.cpp:201
#77 0x07cb000f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#78 0x088e5e07 in QApplication::exec () at kernel/qapplication.cpp:3672
#79 0x080525db in main (argc=1, argv=0xbfec1dd4) at /home/lucas/Bureau/Work/kdevgit/kdevelop/app/main.cpp:455

Reported using DrKonqi
Comment 1 Torbjörn K. 2011-07-20 21:57:02 UTC
Created attachment 62037 [details]
GDB backtrace of this crash

How to reproduce:
 - create brand new session
 - imported source from kdeexamples (current clone of master)
 - try to open a *.cpp file
--> crash

Can be reproduced every time.
Comment 2 Milian Wolff 2011-07-20 23:00:12 UTC
that last crash is unrelated to the former backtrace. but helpful nonetheless (as it shows another issue we can see in our unit tests).
Comment 3 David Nolden 2011-07-21 11:32:12 UTC
Git commit b6001b7df6cba79cd030d020714a946d77915668 by David Nolden.
Committed on 21/07/2011 at 13:30.
Pushed by zwabel into branch 'master'.

Don't clear the area while switching the working-set as result of viewAdded().

This fixes possible crashes and makes the document-controller test work again.
CCBUG: 267011

M  +1    -0    shell/documentcontroller.cpp
M  +3    -0    shell/workingsetcontroller.h
M  +4    -2    shell/workingsetcontroller.cpp

http://commits.kde.org/kdevplatform/b6001b7df6cba79cd030d020714a946d77915668
Comment 4 David Nolden 2011-07-21 11:33:48 UTC
There is no way how StaticCodeAssistant::documentLoaded could lead to setPrettyName, therefore the backtrace of the report is borked.

Probably you have a compilation problem. Clear your build-directories and try compiling again.
Comment 5 David Nolden 2011-07-21 11:34:14 UTC
Just to make clear what I'm talking about:

Thread 1 (Thread 0xb778f710 (LWP 20703)):
[KCrash Handler]
#7  QString (this=0x9fffe88, name=) at /usr/include/qt4/QtCore/qstring.h:727
#8  KDevelop::PartDocument::setPrettyName (this=0x9fffe88, name=) at
/home/lucas/Bureau/Work/kdevgit/kdevplatform/shell/partdocument.cpp:206
#9  0x079b8998 in Cpp::StaticCodeAssistant::documentLoaded (this=0x9eb5b38,
document=0x9fffe98) at